
package com.tmerclub.cloud.delivery.constant;

/**
 * 地区层级
 * @author TRAKC
 */
public enum AreaLevel {


    /**
     * 第一层
     */
    FIRST_LEVEL(1),

    /**
     * 第二层
     */
    SECOND_LEVEL(2),

    /**
     * 第三层
     */
    THIRD_LEVEL(3)

    ;

    private final Integer num;

    public Integer value() {
        return num;
    }

    AreaLevel(Integer num) {
        this.num = num;
    }

    public static AreaLevel instance(Integer value) {
        AreaLevel[] enums = values();
        for (AreaLevel statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
